﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
//using System.Linq;
using System.Text;
using System.Windows.Forms;
using TsControls;

namespace MultiLineComboBox_Demo
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            lblIndex1.Text = multiLineComboBox1.SelectedIndex.ToString();
            lblText1.Text = multiLineComboBox1.Text;

            string[] cities = new string[] {"Athens, Greece", "Paris, France",
                    "St. Louis[a], United States", "London, Great Britain",
                    "Stockholm, Sweden", "Berlin, Germany", "Antwerp, Belgium",
                    "Chamonix, France", "Paris, France", "St. Moritz, Switzerland",
                    "Amsterdam, Netherlands", "Lake Placid, United States", 
                    "Los Angeles, United States", "Garmisch-Partenkirchen, Germany",
                    "Berlin, Germany", "Sapporo, Japan", "Tokyo, Japan", 
                    "Cortina d'Ampezzo, Italy", "London, Great Britain", 
                    "St. Moritz, Switzerland"};
            int[] years = new int[] {1896, 1900, 1904, 1908, 1912, 1916, 1920,
                    1924, 1924, 1928, 1928, 1932, 1932, 1936, 1936, 1940, 1940,
                    1944, 1944, 1948};
            DataTable data = new DataTable();
            data.Columns.Add("City");   // Display member.
            data.Columns.Add("Year");   // Value member.
            for (int i = 0; i < 20; i++)
            {
                DataRow row = data.NewRow();
                row["City"] = cities[i];
                row["Year"] = years[i];
                data.Rows.Add(row);
            }
            multiLineComboBox2.DataSource = data;
            multiLineComboBox2.SelectedIndex = 0;
        }

        private void multiLineComboBox1_SelectedIndexChanged(object sender, EventArgs e)
        {
            lblIndex1.Text = ((MultiLineComboBox)(sender)).SelectedIndex.ToString();
        }

        private void multiLineComboBox1_TextChanged(object sender, EventArgs e)
        {
            lblText1.Text = ((MultiLineComboBox)(sender)).Text;
        }

        private void multiLineComboBox2_SelectedIndexChanged(object sender, EventArgs e)
        {
            lblIndex2.Text = ((MultiLineComboBox)(sender)).SelectedIndex.ToString();
        }

        private void multiLineComboBox2_SelectedValueChanged(object sender, EventArgs e)
        {
            lblValue2.Text = ((MultiLineComboBox)(sender)).SelectedValue.ToString();
        }

    }
}
